# WARNING - Generated by {fusen} from /dev/flat_study_squirrels.Rmd: do not edit by hand

test_that("study_activity works", {
  expect_true(inherits(study_activity, "function"))
  
  
  data(data_act_squirrels)
  
  expect_error(
    study_activity(df_squirrels_act = 4, col_primary_fur_color = 1),
    regexp = "df_squirrels_act is not a data frame"
  )
  
  expect_error(
    study_activity(df_squirrels_act = data_act_squirrels, col_primary_fur_color = 1),
    regexp = "col_primary_fur_color is not a character vector"
  )
  
  resultat <- study_activity(
    df_squirrels_act = data_act_squirrels, 
    col_primary_fur_color = "Gray"
  )
  
  expect_true(inherits(resultat, "list"))
  
  expect_equal(length(resultat), 2)
  
  expect_equal(
    names(resultat),
    c("table", "graph")
  )

  expect_true(inherits(resultat$graph, "ggplot"))
  expect_true(inherits(resultat$table, "data.frame"))
})
